scala.tools.nsc.ast.parser.MarkupParsers

# MarkupParser

#### class MarkupParser extends MarkupParserCommon

Source
  MarkupParsers.scala

Linear Supertypes
MarkupParserCommon, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MarkupParser
2. MarkupParserCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MarkupParser(parser: SourceFileParser, preserveWS: Boolean)

### Type Members

1. #### type AttributesType = Map[String, Global.Tree]

   Definition Classes
     MarkupParser → MarkupParserCommon

2. #### type ElementType = Global.Tree

   Definition Classes
     MarkupParser → MarkupParserCommon

3. #### type InputType = CharArrayReader

4. #### type NamespaceType = Any

   Definition Classes
     MarkupParser → MarkupParserCommon

5. #### type PositionType = Position

   Definition Classes
     MarkupParser → MarkupParserCommon

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Parsers.MarkupParser to any2stringadd[Parsers.MarkupParser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Parsers.MarkupParser, B)

   Implicit information
     This member is added by an implicit conversion from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def appendText(pos: Global.Position, ts: Buffer[Global.Tree], txt: String): Unit

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def ch: Char

   The library and compiler parsers had the interesting distinction of different behavior for nextch (a function for which there are a total of two plausible behaviors, so we know the design space was fully explored.) One of them returned the value of nextch before the increment and one of them the new value.

   The library and compiler parsers had the interesting distinction of different behavior for nextch (a function for which there are a total of two plausible behaviors, so we know the design space was fully explored.) One of them returned the value of nextch before the increment and one of them the new value. So to unify code we have to at least temporarily abstract over the nextchs.

   Definition Classes
     MarkupParser → MarkupParserCommon

9. #### def ch_returning_nextch: Char

   Attributes
     protected
   Definition Classes
     MarkupParser → MarkupParserCommon

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def content: Buffer[Global.Tree]

12. #### def content_AMP(ts: ArrayBuffer[Global.Tree]): Unit

    adds entity/character to ts as side-effect

13. #### def content_BRACE(p: Global.Position, ts: ArrayBuffer[Global.Tree]): Unit

14. #### def curOffset: Int

15. #### def element: Global.Tree

    '<' element ::= xmlTag1 '>' { xmlExpr | '{' simpleExpr '}' } ETag | xmlTag1 '/' '>'

16. #### def ensuring(cond: (Parsers.MarkupParser) ⇒ Boolean, msg: ⇒ Any): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### def ensuring(cond: (Parsers.MarkupParser) ⇒ Boolean): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: Boolean, msg: ⇒ Any): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean): Parsers.MarkupParser

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### val eof: Boolean

    Definition Classes
      MarkupParser → MarkupParserCommon

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def errorAndResult[T](msg: String, x: T): T

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

24. #### def errorNoEnd(tag: String): Nothing

    Definition Classes
      MarkupParser → MarkupParserCommon

25. #### def escapeToScala[A](op: ⇒ A, kind: String): A

26. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

27. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to StringFormat[Parsers.MarkupParser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

28. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### var input: CharArrayReader

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### def lookahead(): BufferedIterator[Char]

    Create a lookahead reader which does not influence the input

    Create a lookahead reader which does not influence the input

    Definition Classes
      MarkupParser → MarkupParserCommon

33. #### def mkAttributes(name: String, other: NamespaceType): AttributesType

    Definition Classes
      MarkupParser → MarkupParserCommon

34. #### def mkProcInstr(position: Global.Position, name: String, text: String): ElementType

    Definition Classes
      MarkupParser → MarkupParserCommon

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### def nextch(): Unit

    this method assign the next character to ch and advances in input

    this method assign the next character to ch and advances in input

    Definition Classes
      MarkupParser → MarkupParserCommon

37. #### final def notify(): Unit

    Definition Classes
      AnyRef

38. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

39. #### final val preserveWS: Boolean

40. #### def reportSyntaxError(str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

41. #### def reportSyntaxError(pos: Int, str: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

42. #### def returning[T](x: T)(f: (T) ⇒ Unit): T

    Apply a function and return the passed value

    Apply a function and return the passed value

    Definition Classes
      MarkupParserCommon

43. #### def saving[A, B](getter: A, setter: (A) ⇒ Unit)(body: ⇒ B): B

    Execute body with a variable saved and restored after execution

    Execute body with a variable saved and restored after execution

    Definition Classes
      MarkupParserCommon

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### var tmppos: Global.Position

    Definition Classes
      MarkupParser → MarkupParserCommon

46. #### def toString(): String

    Definition Classes
      AnyRef → Any

47. #### def truncatedError(msg: String): Nothing

    Definition Classes
      MarkupParser → MarkupParserCommon

48. #### def unreachable: Nothing

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def xAttributeValue(endCh: Char): String

    attribute value, terminated by either `'` or `"`.

    attribute value, terminated by either `'` or `"`. value may not contain `<`.

    endCh

      either `'` or `"`

    Definition Classes
      MarkupParserCommon

53. #### def xAttributes: LinkedHashMap[String, Global.Tree]

    parse attribute and add it to listmap [41] Attributes ::= { S Name Eq AttValue } AttValue ::= `'` { _ } `'` | `"` { _ } `"` | `{` scalablock `}`

54. #### def xCharData: Global.Tree

    '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

    '<! CharData ::= [CDATA[ ( {char} - {char}"]]>"{char} ) ']]>'

    see [15]

55. #### def xCharRef: String

    Definition Classes
      MarkupParserCommon

56. #### def xCharRef(it: Iterator[Char]): String

    Definition Classes
      MarkupParserCommon

57. #### def xCharRef(ch: () ⇒ Char, nextch: () ⇒ Unit): String

    CharRef ::= "&#" '0'..'9' {'0'..'9'} ";" | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

    CharRef ::= "&#" '0'..'9' {'0'..'9'} ";" | "&#x" '0'..'9'|'A'..'F'|'a'..'f' { hexdigit } ";"

    see [66]

    Definition Classes
      MarkupParserCommon

58. #### def xCheckEmbeddedBlock: Boolean

    checks whether next character starts a Scala block, if yes, skip it.

    checks whether next character starts a Scala block, if yes, skip it.

    returns

      true if next character starts a scala block

59. #### def xComment: Global.Tree

    Comment ::=

    Comment ::=

    see [15]

60. #### def xEQ(): Unit

    scan [S] '=' [S]

    scan [S] '=' [S]

    Definition Classes
      MarkupParserCommon

61. #### var xEmbeddedBlock: Boolean

62. #### def xEmbeddedExpr: Global.Tree

63. #### def xEndTag(startName: String): Unit

    [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

    [42] '<' xmlEndTag ::= '<' '/' Name S? '>'

    Definition Classes
      MarkupParserCommon

64. #### def xHandleError(that: Char, msg: String): Unit

    Definition Classes
      MarkupParser → MarkupParserCommon

65. #### def xLiteral: Global.Tree

    xLiteral = element { element }

    xLiteral = element { element }

    returns

      Scala representation of this xml literal

66. #### def xLiteralPattern: Global.Tree

    returns

      this xml pattern

    See also

      xmlPattern. resynchronizes after successful parse

67. #### def xName: String

    actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

    actually, Name ::= (Letter | '_' | ':') (NameChar)* but starting with ':' cannot happen Name ::= (Letter | '_') (NameChar)*

    see [5] of XML 1.0 specification

    pre-condition: ch != ':' // assured by definition of XMLSTART token post-condition: name does neither start, nor end in ':'

    Definition Classes
      MarkupParserCommon

68. #### def xPattern: Global.Tree

    '<' xPattern ::= Name [S] { xmlPattern | '{' pattern3 '}' } ETag | Name [S] '/' '>'

69. #### def xProcInstr: ElementType

    '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

    '<?' ProcInstr ::= Name [S ({Char} - ({Char}'>?' {Char})]'?>'

    see [15]

    Definition Classes
      MarkupParserCommon

70. #### def xScalaPatterns: List[Global.Tree]

    xScalaPatterns ::= patterns

71. #### def xSpace(): Unit

    scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

    scan [3] S ::= (#x20 | #x9 | #xD | #xA)+

    Definition Classes
      MarkupParserCommon

72. #### def xSpaceOpt(): Unit

    skip optional space S?

    skip optional space S?

    Definition Classes
      MarkupParserCommon

73. #### def xTag(pscope: NamespaceType): (String, AttributesType)

    parse a start or empty tag.

    parse a start or empty tag. [40] STag ::= '<' Name { S Attribute } [S] [44] EmptyElemTag ::= '<' Name { S Attribute } [S]

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

74. #### def xTakeUntil[T](handler: (PositionType, String) ⇒ T, positioner: () ⇒ PositionType, until: String): T

    Take characters from input stream until given String "until" is seen.

    Take characters from input stream until given String "until" is seen. Once seen, the accumulated characters are passed along with the current Position to the supplied handler function.

    Attributes
      protected
    Definition Classes
      MarkupParserCommon

75. #### def xToken(that: Seq[Char]): Unit

    Definition Classes
      MarkupParserCommon

76. #### def xToken(that: Char): Unit

    Definition Classes
      MarkupParserCommon

77. #### def xUnparsed: Global.Tree

78. #### def →[B](y: B): (Parsers.MarkupParser, B)

    Implicit information
      This member is added by an implicit conversion from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from MarkupParserCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Parsers.MarkupParser to any2stringadd[Parsers.MarkupParser]

### Inherited by implicit conversion StringFormat from Parsers.MarkupParser to StringFormat[Parsers.MarkupParser]

### Inherited by implicit conversion Ensuring from Parsers.MarkupParser to Ensuring[Parsers.MarkupParser]

### Inherited by implicit conversion ArrowAssoc from Parsers.MarkupParser to ArrowAssoc[Parsers.MarkupParser]

### Ungrouped